commit:     d13224aaec1d7bb5416c3ab4ae8782bcc0280cd9
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat May 25 17:55:55 2024 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat May 25 17:56:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d13224aa

dev-python/pyside6-tools: add 6.7.1

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/pyside6-tools/Manifest                  |  1 +
 .../pyside6-tools/pyside6-tools-6.7.1.ebuild       | 80 ++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-python/pyside6-tools/Manifest 
b/dev-python/pyside6-tools/Manifest
index be987c7433ba..633d6cd6a8ec 100644
--- a/dev-python/pyside6-tools/Manifest
+++ b/dev-python/pyside6-tools/Manifest
@@ -1 +1,2 @@
 DIST pyside-setup-everywhere-src-6.7.0.tar.xz 14382456 BLAKE2B 
607e496cdeb7e55166b4f0dc15662a8792c7d8925856e8edbb927dfdc33342d158f430e3433d3d4a78ea33740e333fb2422ea1f4332408c3c6214f92d31bdd0d
 SHA512 
7801d564d8d359edec431dc0e6f170538b9fc6f834cb7ab8eff41c1989bffb619c446d4d62d65db2a5b7592c0bff5d450d42de2797726658fe1a8f53df8a4c14
+DIST pyside-setup-everywhere-src-6.7.1.tar.xz 14400976 BLAKE2B 
1f6e2705aedc4151147e259da2a8fbab19a1815f19f1a36ea46dbf0bf2282a453e85a33ea8c6862072bb22699be39ab8375b48cd6d5b879de8bed5fad8cf60cb
 SHA512 
6ca73f0b16ef43bc018aeb9e0f51d8ae91b13b79ebdfd71f5524bc0e8ef78322ba0aca81203cc5532e5096a55441fb4dabf3b628de3234b876b7a70327b714d4

diff --git a/dev-python/pyside6-tools/pyside6-tools-6.7.1.ebuild 
b/dev-python/pyside6-tools/pyside6-tools-6.7.1.ebuild
new file mode 100644
index 000000000000..5e4bf58ec13e
--- /dev/null
+++ b/dev-python/pyside6-tools/pyside6-tools-6.7.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: Add PyPy once officially supported. See also:
+#     https://bugreports.qt.io/browse/PYSIDE-535
+PYTHON_COMPAT=( python3_{10..13} )
+
+LLVM_COMPAT=( {15..18} )
+
+inherit cmake llvm-r1 python-r1
+
+MY_PN="pyside-setup-everywhere-src"
+
+DESCRIPTION="PySide development tools (pyside6-lupdate with support for 
Python)"
+HOMEPAGE="https://wiki.qt.io/PySide6";
+SRC_URI="https://download.qt.io/official_releases/QtForPython/pyside6/PySide6-${PV}-src/${MY_PN}-${PV}.tar.xz";
+S="${WORKDIR}/${MY_PN}-${PV}/sources/pyside-tools"
+
+LICENSE="GPL-2"
+SLOT="6/${PV}"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Minimal supported version of Qt.
+QT_PV="$(ver_cut 1-3)*:6"
+
+RDEPEND="${PYTHON_DEPS}
+       =dev-python/shiboken6-${QT_PV}[${PYTHON_USEDEP},${LLVM_USEDEP}]
+       =dev-python/pyside6-${QT_PV}[quick,${PYTHON_USEDEP},${LLVM_USEDEP}]
+       !dev-python/pyside6-tools:0
+"
+DEPEND="${RDEPEND}
+       $(llvm_gen_dep '
+               sys-devel/clang:${LLVM_SLOT}
+               sys-devel/llvm:${LLVM_SLOT}
+       ')
+"
+
+src_prepare() {
+       cmake_src_prepare
+
+       python_copy_sources
+}
+
+src_configure() {
+       pyside-tools_configure() {
+               local mycmakeargs=(
+                       # If this is enabled cmake just makes copies of 
/lib64/qt6/bin/*
+                       -DNO_QT_TOOLS=yes
+               )
+               cmake_src_configure
+       }
+
+       python_foreach_impl pyside-tools_configure
+}
+
+src_compile() {
+       pyside-tools_compile() {
+               cmake_src_compile
+       }
+
+       python_foreach_impl pyside-tools_compile
+}
+
+src_install() {
+       pyside-tools_install() {
+               # This replicates the contents of the PySide6 pypi wheel
+               DESTDIR="${BUILD_DIR}" cmake_build install
+               cp __init__.py "${BUILD_DIR}/usr/bin" || die
+               rm -r  "${BUILD_DIR}/usr/bin/qtpy2cpp_lib/tests" || die
+               python_moduleinto PySide6/scripts
+               python_domodule "${BUILD_DIR}/usr/bin/."
+       }
+
+       python_foreach_impl pyside-tools_install
+
+       einstalldocs
+}

Reply via email to